# Positions

Get open positions. All parameters are optional. If no parameters are specified, all open positions for the logged-in user are returned.

Endpoint: GET /v2/positions
Version: 1.0.1
Security: SSO_TOKEN

## Query parameters:

  - `symbol` (string)
    No default value. Base and term currency separated by a slash `/`.

  - `level` (string)
    No default value. The level at which the position is calculated, case sensitive:
- `USER`: user
- `LE`: legal entity
- `ORG`: organization

  - `value` (string)
    No default value. The ID of a specific org, legal entity, or user (depending on `level`).

## Response 200 fields (application/json):

  - `side` (string)
    `Long` or `Short`.

  - `symbol` (string)
    Base and term currency separated by a slash `/` (for example `EUR/USD`).

  - `valueDate` (string)
    The value date of the trades that make up the position in the format `YYYY=MM-DD`.

  - `level` (string)
    No default value. The level at which the position is calculated:
- `USER`: user
- `LE`: legal entity
- `ORG`: organization

  - `levelValue` (string)
    The ID of either the user or organization based on the value of `level`.

  - `netOpenBase` (number)
    Net open amount in base currency.

  - `netOpenterm` (number)
    Net open amount in term currency. Note the property name is not a typo ("term" is lowercase).

  - `rate` (number)
    The weighted average buy or sell rate of the current position.

  - `realizedPnL` (number)
    The profit or loss in the base currency determined by taking all trades (or portions thereof) that are closed and computing the profit for each pair of opposing buy/sell trades.

  - `unrealizedPnL` (number)
    The profit or loss in the base currency determined by taking the position's currency pair rate against the current market rate at the position amount. Essentially, the unrealized P/L is the profit or loss if the position was closed at the current close rate.

  - `pnlCurrency` (string)
    The P&L reporting currency.

  - `children` (array)
    List of child positions, if any.

